Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance
Interface ProcessInstanceManager

All Known Implementing Classes:
  DefaultProcessInstanceManager, JPAProcessInstanceManager

    public interface ProcessInstanceManager

Method Summary
`void` | `addProcessInstance(ProcessInstance processInstance, org.kie.internal.process.CorrelationKey correlationKey)`
`void` | `clearProcessInstances()`
`void` | `clearProcessInstancesState()`
`ProcessInstance` | `getProcessInstance(org.kie.internal.process.CorrelationKey correlationKey)`
`ProcessInstance` | `getProcessInstance(long id)`
`ProcessInstance` | `getProcessInstance(long id, boolean readOnly)`
`Collection<ProcessInstance>` | `getProcessInstances()`
`void` | `internalAddProcessInstance(ProcessInstance processInstance)`
`void` | `internalRemoveProcessInstance(ProcessInstance processInstance)`
`void` | `removeProcessInstance(ProcessInstance processInstance)`

Method Detail

### getProcessInstance

    ProcessInstance getProcessInstance(long id)

### getProcessInstance

    ProcessInstance getProcessInstance(long id,
                                       boolean readOnly)

### getProcessInstance

    ProcessInstance getProcessInstance(org.kie.internal.process.CorrelationKey correlationKey)

### getProcessInstances

    Collection<ProcessInstance> getProcessInstances()

### addProcessInstance

    void addProcessInstance(ProcessInstance processInstance,
                            org.kie.internal.process.CorrelationKey correlationKey)

### internalAddProcessInstance

    void internalAddProcessInstance(ProcessInstance processInstance)

### removeProcessInstance

    void removeProcessInstance(ProcessInstance processInstance)

### internalRemoveProcessInstance

    void internalRemoveProcessInstance(ProcessInstance processInstance)

### clearProcessInstances

    void clearProcessInstances()

### clearProcessInstancesState

    void clearProcessInstancesState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.